Mono.Posix 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Flags Unix file special attributes. Unix file special attributes are a part of the Unix file system entry (see ) and control filesystem- and operating system-specific behavior.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.FileSpecialAttributes When the file is executed (either as a new process or via ), set the effective group-id of the process () to the owner group of the file ().
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.FileSpecialAttributes When the file is executed (either as a new process or via ), set the effective user-id of the process () to the owner of the file ().
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.FileSpecialAttributes

  Sticky bit.

  If set on a file, this is currently meaningless, but in years past it requested that the operating system keep the program's code in memory, thus speeding up further program invocations. This is no longer necessary with virtual memory.

  If set on a directory, a file in the directory can be removed or renamed only if the user has write permission for the directory, and either:

  owns the file
  owns the directory, or
  is the superuser (root).